<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'} ">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-header">
            <span class="layui-breadcrumb" lay-filter="breadcrumb" style="visibility: visible;">
              <a class="close" href="javascript:void(0);">上级列表</a><span lay-separator="">/</span>
              <a href="javascript:void(0);"><cite>编辑内容</cite></a>
            </span>
        </div>
        <div class="layui-card-body" style="padding: 15px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <input type="hidden" id="bigdataTemplatePublishStatus" name="bigdataTemplatePublishStatus" class="layui-input" placeholder="请输入模板发布状态" value="0" lay-verify="required">
                <div class="layui-form-item">
                    <label class="layui-form-label">模板编码<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="bigdataTemplateCode" name="bigdataTemplateCode" class="layui-input" value="" placeholder="请输入模板编码" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">模板标题<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="text" id="bigdataTemplateTitle" name="bigdataTemplateTitle" class="layui-input" value="" placeholder="请输入模板标题" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">模板高度<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="number" step="0.01" id="bigdataTemplateHeight" name="bigdataTemplateHeight" class="layui-input" value="" placeholder="请输入模板高度" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item">
                    <label class="layui-form-label">模板宽度<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="number" step="0.01" id="bigdataTemplateWidth" name="bigdataTemplateWidth" class="layui-input" value="" placeholder="请输入模板宽度" lay-verify="required">
                    </div>
                </div>
                <div class="layui-form-item" pane>
                    <label class="layui-form-label">模板类型<span style="color: red">*</span></label>
                    <div class="layui-input-block" >
                        <input type="radio" name="bigdataTemplateBack" value="1" title="一级页面(主页)">
                        <input type="radio" name="bigdataTemplateBack" value="2" title="二级页面(跳转页)">
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">模板插件</label>
                    <div class="layui-input-block">
                        <input type="hidden" id="bigdataTemplateFile" name="bigdataTemplateFile">
                        <div class="layui-btn-container" id="bigdataTemplateFileFileBox" style="border: 1px solid #e6e6e6;"></div>
                        <script id="bigdataTemplateFileFileDownload" type="text/html">
                            {{# var fileName = 'bigdataTemplateFile'; }}
                            {{# if(d[fileName] != '') { }}
                            {{#    var files = d[fileName];}}
                            {{#    for(var i = 0, item = files[i]; item = files[i++];) { }}
                            <span class="layui-btn-group">
                                <div class="upload-file-box">
                                    <a class="upload-file-a" href="route/file/downloadfile/false/{{item.fileId}}" title="{{item.fileName}} - 点击下载">
                                        {{# if(item.fileType == 'doc' || item.fileType == 'docx') { }}
                                        <img src="assets/images/filetype/word.png"/>
                                        {{# } else if(item.fileType == 'xls' || item.fileType == 'xlsx') { }}
                                        <img src="assets/images/filetype/excel.png"/>
                                        {{# } else if(item.fileType == 'ppt' || item.fileType == 'pptx') { }}
                                        <img src="assets/images/filetype/ppt.png"/>
                                        {{# } else if(item.fileType == 'apk') { }}
                                        <img src="assets/images/filetype/apk.png"/>
                                        {{# } else if(item.fileType == 'pdf') { }}
                                        <img src="assets/images/filetype/pdf.png"/>
                                        {{# } else if(item.fileType == 'rar') { }}
                                        <img src="assets/images/filetype/rar.png"/>
                                        {{# } else if(item.fileType == 'zip') { }}
                                        <img src="assets/images/filetype/zip.png"/>
                                        {{# } else if(item.fileType == 'txt') { }}
                                        <img src="assets/images/filetype/txt.png"/>
                                        {{# } else { }}
                                        <img src="assets/images/filetype/file.png"/>
                                        {{# } }}
                                    </a>
                                    <span class="upload-file-title">{{item.fileName}}</span>
                                    <a class="layui-btn layui-btn-xs layui-btn-danger text-danger remove-file" href="javascript:void(0);" lay-form-button data-id="{{item.fileId}}" data-name="{{fileName}}" lay-filter="bigdataTemplateFileRemoveFile">
                                        <i class="fa fa-trash-o"></i>
                                    </a>
                                </div>
                            </span>
                            {{#    } }}
                            {{# } }}
                            {{# if(d[fileName].length < 5) { }}
                            <div class="upload-image-box" style="width: auto; height: auto; padding: 5px;">
                                <a href="javascript:void(0);" lay-form-button data-explain="模板插件" data-name="bigdataTemplateFile" lay-filter="bigdataTemplateFileUploadFile">
                                    <i class="fa fa-plus-square-o" style="font-size: 70px;"></i>
                                </a>
                            </div>
                            {{# } }}
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-form-text">
                    <label class="layui-form-label">模板背景图<span style="color: red">*</span></label>
                    <div class="layui-input-block">
                        <input type="hidden" id="bigdataTemplateBackgroundImage" name="bigdataTemplateBackgroundImage">
                        <div class="layui-btn-container" id="bigdataTemplateBackgroundImageFileBox" style="border: 1px solid #e6e6e6;"></div>
                        <script id="bigdataTemplateBackgroundImageFileDownload" type="text/html">
                            {{# var fileName = 'bigdataTemplateBackgroundImage'; }}
                            {{# if(d[fileName].length > 0) { }}
                            {{#    var files = d[fileName];}}
                            {{#    for(var i = 0, item = files[i]; item = files[i++];) { }}
                            <div class="upload-image-box">
                                <span class="upload-image-span">
                                    <img src="route/file/downloadfile/false/{{item.fileId}}" align="加载失败">
                                </span>
                                <a class="layui-btn layui-btn-xs layui-btn-danger text-danger remove-image" href="javascript:void(0);" lay-form-button data-id="{{item.fileId}}" data-name="{{fileName}}" lay-filter="bigdataTemplateBackgroundImageRemoveFile">
                                    <i class="fa fa-trash-o"></i>
                                </a>
                            </div>
                            {{#    } }}
                            {{# } }}
                            {{# if(d[fileName].length < 1) { }}
                            <div class="upload-image-box" style="width: auto; height: auto; padding: 5px;">
                                <a href="javascript:void(0);" lay-form-button data-explain="模板背景图" data-name="bigdataTemplateBackgroundImage" lay-filter="bigdataTemplateBackgroundImageUploadFile">
                                    <i class="fa fa-plus-square-o" style="font-size: 70px;"></i>
                                </a>
                            </div>
                            {{# } }}
                        </script>
                    </div>
                </div>
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" class="layui-btn" lay-submit lay-filter="submitForm">提交编辑</button>
                            <button type="button" class="layui-btn layui-btn-warm" lay-submit lay-filter="areaForm">使用当前设备高与宽</button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回上级</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/wangEditor/wangEditor.min.js"></script>
<script src="assets/js/vendor/ckplayer/ckplayer/ckplayer.js"></script>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate', 'laytpl'], function(){
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var bigdataTemplateId = top.restAjax.params(window.location.href).bigdataTemplateId;

        var wangEditor = window.wangEditor;
        var wangEditorObj = {};
        var viewerObj = {};

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;

            laytpl(document.getElementById(fileName +'FileDownload').innerHTML).render(dataRander, function(html) {
                document.getElementById(fileName +'FileBox').innerHTML = html;
            });
        }

        // 初始化文件列表
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);

            if(!ids) {
                refreshDownloadTemplet(fileName, []);
                if(callback) {
                    callback(fileName, []);
                }
                return;
            }

            top.restAjax.get(top.restAjax.path('api/file/listfilebyfileid', []), {
                ids: ids
            }, null, function(code, data) {
                refreshDownloadTemplet(fileName, data);
                if(callback) {
                    callback(fileName, data);
                }
            }, function(code, data) {
                top.dialog.msg(data.msg);
            });
        }

        // 初始化视频
        function initVideo(fileName, data) {
            for(var i = 0, item; item = data[i++];) {
                var player = new ckplayer({
                    container: '#'+ fileName + i,
                    variable: 'player',
                    flashplayer: false,
                    video: {
                        file: 'route/file/downloadfile/true/'+ item.fileId,
                        type: 'video/mp4'
                    }
                });
            }
        }

        // 获取高和宽
        form.on('submit(areaForm)', function(formData) {
            $("#bigdataTemplateHeight").val(screen.height);
            $("#bigdataTemplateWidth").val(screen.width);
        });

        function initBigdataTemplateFileUploadFile() {
            var files = $('#bigdataTemplateFile').val();
            initFileList('bigdataTemplateFile', files);

            form.on('button(bigdataTemplateFileUploadFile)', function(obj) {
                var name = this.dataset.name;
                var explain = this.dataset.explain;
                top.dialog.file({
                    type: 'file',
                    title: '上传'+ explain,
                    width: '400px',
                    height: '420px',
                    maxFileCount: '1',
                    onClose: function() {
                        var uploadFileArray = top.dialog.dialogData.uploadFileArray;
                        if(typeof(uploadFileArray) != 'undefined' && uploadFileArray.length > 0) {
                            var files = $('#'+ name).val();
                            for(var j = 0, file = uploadFileArray[j]; file = uploadFileArray[j++];) {
                                if(files.length > 0) {
                                    files += ',';
                                }
                                files += file.data;
                            }
                            initFileList(name, files, function() {});
                        }
                    }
                });
            });
            form.on('button(bigdataTemplateFileRemoveFile)', function(obj) {
                var name = this.dataset.name;
                var id = this.dataset.id;
                var files = $('#'+ name).val().replace(id, '');
                files = files.replace(/\,+/g, ',');
                if(files.charAt(0) == ',') {
                    files = files.substring(1);
                }
                if(files.charAt(files.length - 1) == ',') {
                    files = files.substring(0, files.length - 1);
                }
                initFileList(name, files);
            });
        }

        // 初始化模板背景图图片上传
        function initBigdataTemplateBackgroundImageUploadFile() {
            var files = $('#bigdataTemplateBackgroundImage').val();
            initFileList('bigdataTemplateBackgroundImage', files, function(fileName) {
                var viewer = new Viewer(document.getElementById(fileName +'FileBox'), {navbar: false});
                viewerObj[fileName] = viewer;
            });

            form.on('button(bigdataTemplateBackgroundImageUploadFile)', function(obj) {
                var name = this.dataset.name;
                var explain = this.dataset.explain;
                top.dialog.file({
                    type: 'image',
                    title: '上传'+ explain,
                    width: '400px',
                    height: '420px',
                    maxFileCount: '1',
                    onClose: function() {
                        var uploadFileArray = top.dialog.dialogData.uploadFileArray;
                        if(typeof(uploadFileArray) != 'undefined' && uploadFileArray.length > 0) {
                            var files = $('#'+ name).val();
                            for(var j = 0, file = uploadFileArray[j]; file = uploadFileArray[j++];) {
                                if(files.length > 0) {
                                    files += ',';
                                }
                                files += file.data;
                            }
                            initFileList(name, files, function(fileName) {
                                viewerObj[fileName].update();
                            });
                        }
                    }
                });
            });

            form.on('button(bigdataTemplateBackgroundImageRemoveFile)', function(obj) {
                var name = this.dataset.name;
                var id = this.dataset.id;
                var files = $('#'+ name).val().replace(id, '');
                files = files.replace(/\,+/g, ',');
                if(files.charAt(0) == ',') {
                    files = files.substring(1);
                }
                if(files.charAt(files.length - 1) == ',') {
                    files = files.substring(0, files.length - 1);
                }
                initFileList(name, files, function(fileName) {
                    viewerObj[fileName].update();
                });
            });
        }


        // 初始化内容
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/bigdatatemplate/getbigdatatemplatebyid/{bigdataTemplateId}', [bigdataTemplateId]), {}, null, function(code, data) {
                var dataFormData = {};
                for(var i in data) {
                    dataFormData[i] = data[i] +'';
                }
                form.val('dataForm', dataFormData);
                form.render(null, 'dataForm');
                initBigdataTemplateBackgroundImageUploadFile();
                initBigdataTemplateFileUploadFile();
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();
        
        // 提交表单
        form.on('submit(submitForm)', function(formData) {
            top.dialog.confirm(top.dataMessage.commit, function(index) {
                top.dialog.close(index);
                var loadLayerIndex;
                top.restAjax.put(top.restAjax.path('api/bigdatatemplate/updatebigdatatemplate/{bigdataTemplateId}', [bigdataTemplateId]), formData.field, null, function(code, data) {
                    var layerIndex = top.dialog.msg(top.dataMessage.updateSuccess, {
                        time: 0,
                        btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                        shade: 0.3,
                        yes: function(index) {
                            top.dialog.close(index);
                            window.location.reload();
                        },
                        btn2: function() {
                            closeBox();
                        }
                    });
                }, function(code, data) {
                    top.dialog.msg(data.msg);
                }, function() {
                    loadLayerIndex = top.dialog.msg(top.dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function() {
                    top.dialog.close(loadLayerIndex);
                });
            });
            return false;
        });

        $('.close').on('click', function() {
            closeBox();
        });

        // 校验
        form.verify({
        });
    });
</script>
</body>
</html>